VST 3 Examples: BeatBoxProcessor Class Reference
Author: Steinberg

VST 3 Examples VST 3.7 SDK for developing VST plug-in

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
BeatBoxProcessor Class Reference

`#include <mdaBeatBoxProcessor.h>`

Inheritance diagram for BeatBoxProcessor:

## Public Member Functions
| BeatBoxProcessor ()
int32 | getVst2UniqueId () const SMTG_OVERRIDE
tresult | initialize (FUnknown *context) SMTG_OVERRIDE
tresult | setActive (TBool state) SMTG_OVERRIDE
void | doProcessing (ProcessData &data) SMTG_OVERRIDE
Public Member Functions inherited from SampleAccurateBaseProcessor
| SampleAccurateBaseProcessor ()
void | allocParameters (int32 numParams) final
tresult | process (ProcessData &data) final
bool | processParameterChanges (IParameterChanges *changes) final

## Static Public Member Functions
static FUnknown * | createInstance (void *)
static | DECLARE_UID (uid, 0x9E6A6E95, 0x9B734440, 0x97D787BE, 0xBBDDD831)

## Protected Member Functions
void | recalculate () SMTG_OVERRIDE

## Protected Attributes
float | hthr
float | hfil
float | sthr
float | kthr
float | kfil1
float | kfil2
float | mix
float | klev
float | hlev
float | slev
float | ww
float | wwx
float | sb1
float | sb2
float | sf1
float | sf2
float | sf3
float | kww
float | kwwx
float | ksb1
float | ksb2
float | ksf1
float | ksf2
float | dyne
float | dyna
float | dynr
float | dynm
float * | hbuf
float * | kbuf
float * | sbuf
float * | sbuf2
int32 | hbuflen
int32 | hbufpos
int32 | hdel
int32 | sbuflen
int32 | sbufpos
int32 | sdel
int32 | sfx
int32 | kbuflen
int32 | kbufpos
int32 | kdel
int32 | ksfx
int32 | rec
int32 | recx
int32 | recpos

## Additional Inherited Members
Public Types inherited from IProcessContextRequirements
enum | Flags
Public Attributes inherited from AudioEffect
OBJ_METHODS(AudioEffect, Component) DEFINE_INTERFACES DEF_INTERFACE(IAudioProcessor) DEF_INTERFACE(IProcessContextRequirements) END_DEFINE_INTERFACES(Component) REFCOUNT_METHODS(Component) protected ProcessContextRequirements | processContextRequirements
OBJ_METHODS(Component, ComponentBase) DEFINE_INTERFACES DEF_INTERFACE(IComponent) END_DEFINE_INTERFACES(ComponentBase) REFCOUNT_METHODS(ComponentBase) protected BusList | audioInputs
BusList | audioOutputs
BusList | eventInputs
BusList | eventOutputs
OBJ_METHODS(ComponentBase, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPluginBase) DEF_INTERFACE(IConnectionPoint) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected IPtr < IConnectionPoint > | peerConnection
Static Public Attributes inherited from IPluginBase
static const FUID | iid
Static Public Attributes inherited from IConnectionPoint
static const FUID | iid
Static Public Attributes inherited from IComponent
static const FUID | iid
Static Public Attributes inherited from IAudioProcessor
static const FUID | iid
Static Public Attributes inherited from IProcessContextRequirements
static const FUID | iid
Protected Types inherited from Processor
using | StateT = std::vector< ParamValue >

## Constructor & Destructor Documentation

BeatBoxProcessor | ( |  | ) |

## Member Function Documentation

int32 getVst2UniqueId | ( |  | ) | const
| inlinevirtual

Implements Processor.

tresult initialize | ( | FUnknown * | context | ) |
| virtual

Reimplemented from AudioEffect.

tresult setActive | ( | TBool | state | ) |
| virtual

Reimplemented from Processor.

void doProcessing | ( | ProcessData & | data | ) |
| virtual

Implements Processor.

static FUnknown* createInstance | ( | void * |  | ) |
| inlinestatic

static DECLARE_UID | ( | uid | ,
|  | 0x9E6A6E95 | ,
|  | 0x9B734440 | ,
|  | 0x97D787BE | ,
|  | 0xBBDDD831 |
| ) |  |
| inlinestatic

void recalculate | ( |  | ) |
| protectedvirtual

Reimplemented from Processor.

## Member Data Documentation

float hthr
| protected

float hfil
| protected

float sthr
| protected

float kthr
| protected

float kfil1
| protected

float kfil2
| protected

float mix
| protected

float klev
| protected

float hlev
| protected

float slev
| protected

float ww
| protected

float wwx
| protected

float sb1
| protected

float sb2
| protected

float sf1
| protected

float sf2
| protected

float sf3
| protected

float kww
| protected

float kwwx
| protected

float ksb1
| protected

float ksb2
| protected

float ksf1
| protected

float ksf2
| protected

float dyne
| protected

float dyna
| protected

float dynr
| protected

float dynm
| protected

float* hbuf
| protected

float* kbuf
| protected

float* sbuf
| protected

float * sbuf2
| protected

int32 hbuflen
| protected

int32 hbufpos
| protected

int32 hdel
| protected

int32 sbuflen
| protected

int32 sbufpos
| protected

int32 sdel
| protected

int32 sfx
| protected

int32 kbuflen
| protected

int32 kbufpos
| protected

int32 kdel
| protected

int32 ksfx
| protected

int32 rec
| protected

int32 recx
| protected

int32 recpos
| protected

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.